<%@ page contentType="text/html; charset=GBK" %>
<%@ page import = "zr.zrpower.common.util.SysPreperty" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.ejb.sys.UIService" %>
<%@ page import = "zr.zrpower.flowengine.service.flowmanage"%>

<%@ page import = "java.lang.Object"%>
<HTML>
<%
  SessionUser user = (SessionUser)session.getAttribute("userinfo");
  UIService userUI =new UIService();
  flowmanage flowmanage =new flowmanage();
  String strNode_No_S ="";//当前活动编号
  String strNode_No_E ="";//可供选择的活动编号
  String strNodeLst ="";

  strNode_No_S = request.getParameter("Node_No_S");
  strNode_No_E = request.getParameter("Node_No_E");

  strNodeLst = flowmanage.GetNextActivityList(strNode_No_S,strNode_No_E,"record",user.getUserImage(),"flowselect.gif");
%>
<HTML>
<HEAD>
<TITLE><%=SysPreperty.getProperty().SystemName%><%=SysPreperty.getProperty().Versoin%></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=GBK">
<link REL="stylesheet" type="text/css" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="../../zrsysmanage/script/Public.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" src="js/Workflow.js"></SCRIPT>

<SCRIPT LANGUAGE="javascript">
//确定
function FunOk(){
  var length = document.NodeListForm.elements.length
  var recordindex
  var selectedstring
  var strValue
  selectedstring=""
  for (var i=0; i<length; i++){
    recordindex  = document.NodeListForm.elements[i].name.indexOf("record");
    if (recordindex  != -1) {
      if (document.NodeListForm.elements[i].checked){
        strValue = document.NodeListForm.elements[i].value;
        intValue = strValue.length;
        if (selectedstring == ""){
          selectedstring = strValue;
        }else{
          selectedstring = selectedstring  + "," + strValue;
        }
      }
    }
  }

  if (selectedstring != "") {
      window.returnValue = selectedstring;
      return selectedstring;
  }else {
      alert("请选择流程!");
  }
  return;
}
function selectOnclick(id)
{
    var length = document.NodeListForm.elements.length
    var recordindex
    var selectedstring
    var strValue
    selectedstring=""
    for (var i=0; i<length; i++){
    recordindex  = document.NodeListForm.elements[i].name.indexOf("record");
    if (recordindex  != -1) {
          strValue = document.NodeListForm.elements[i].value;
          if (strValue==id)
          {
            document.NodeListForm.elements[i].checked='checked';
          }else
          {document.NodeListForm.elements[i].checked='';}
     }
    }
}
</SCRIPT>
</HEAD>
<BODY class="UserListBody">
<Form method="post" name="NodeListForm" action="">
<input type="hidden" name="formfields" value="">

               <DIV id="divMessage" style='padding-left:0;padding-top:0;width:200px;height:100%;overflow:auto'>
                 <%=strNodeLst%>
               </DIV>
               
</FORM>
</BODY>
</HTML>
<%
//清空相关对象
user = null;
userUI = null;
flowmanage = null;
%>
